# dpkg manual page - dpkg-buildapi(1)
#
# Copyright © 2023 Guillem Jover <guillem@debian.org>
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

=encoding utf8

=head1 NAME

dpkg-buildapi - returns the build API level to use during package build

=head1 SYNOPSIS

B<dpkg-buildapi> [I<option>...] [I<command>]

=head1 DESCRIPTION

B<dpkg-buildapi> is a tool to retrieve the L<dpkg-build-api(7)> level to
use during build of source Debian packages.

This program was introduced in dpkg 1.22.0.

=head1 COMMANDS

=over

=item B<--help>

Show the usage message and exit.

=item B<--version>

Show the version and exit.

=back

=head1 OPTIONS

=over

=item B<-c>I<control-file>

Specifies the main source control file to read information from.
The default is F<debian/control>.

=back

=head1 ENVIRONMENT

=over

=item B<DPKG_BUILD_API>

The build API level to use.
This is intended to be used internally by the tools executed from
F<debian/rules> to avoid having to parse F<debian/control> multiple times,
and not to set the global build API level from F<debian/rules>,
otherwise build drivers (such as L<dpkg-buildpackage(1)>) cannot access it.

=item B<DPKG_COLORS>

Sets the color mode.
The currently accepted values are: B<auto> (default), B<always> and
B<never>.

=item B<DPKG_NLS>

If set, it will be used to decide whether to activate Native Language Support,
also known as internationalization (or i18n) support.
The accepted values are: B<0> and B<1> (default).

=back

=head1 FILES

=head2 Packaging support

=over

=item B<%PKGDATADIR%/buildapi.mk>

Makefile snippet that parses the build API level into a variable.

=back
